: Class MailServerPrefsEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.prefs
Class MailServerPrefsEditor

    java.lang.Object
      |
      +--grendel.prefs.MailServerPrefsEditor

public class MailServerPrefsEditor
extends java.lang.Object
implements java.beans.PropertyEditor

Constructor Summary
`MailServerPrefsEditor()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`java.lang.String` | `getAsText()`
`java.awt.Component` | `getCustomEditor()`
`java.lang.String` | `getJavaInitializationString()`
`java.lang.String[]` | `getTags()`
`java.lang.Object` | `getValue()`
`boolean` | `isPaintable()`
`void` | `paintValue(java.awt.Graphics g, java.awt.Rectangle r)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `setAsText(java.lang.String aValue)`
`void` | `setValue(java.lang.Object aValue)`
`boolean` | `supportsCustomEditor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailServerPrefsEditor

    public MailServerPrefsEditor()

Method Detail

### getAsText

    public java.lang.String getAsText()

  Specified by:
    getAsText in interface java.beans.PropertyEditor

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Specified by:
    getCustomEditor in interface java.beans.PropertyEditor

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Specified by:
    getJavaInitializationString in interface java.beans.PropertyEditor

### getTags

    public java.lang.String[] getTags()

  Specified by:
    getTags in interface java.beans.PropertyEditor

### getValue

    public java.lang.Object getValue()

  Specified by:
    getValue in interface java.beans.PropertyEditor

### isPaintable

    public boolean isPaintable()

  Specified by:
    isPaintable in interface java.beans.PropertyEditor

### paintValue

    public void paintValue(java.awt.Graphics g,
                           java.awt.Rectangle r)

  Specified by:
    paintValue in interface java.beans.PropertyEditor

### setAsText

    public void setAsText(java.lang.String aValue)

  Specified by:
    setAsText in interface java.beans.PropertyEditor

### setValue

    public void setValue(java.lang.Object aValue)

  Specified by:
    setValue in interface java.beans.PropertyEditor

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    supportsCustomEditor in interface java.beans.PropertyEditor

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Specified by:
    addPropertyChangeListener in interface java.beans.PropertyEditor

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Specified by:
    removePropertyChangeListener in interface java.beans.PropertyEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD